### Constructor

# Gtk UriLaunchernew

since: 4.10

#### Declaration [src]

    GtkUriLauncher*
    gtk_uri_launcher_new (
      const char* uri
    )

#### Description [src]

Creates a new `GtkUriLauncher` object.

Available since: 4.10

#### Parameters

`uri`

  Type: `const char*`

  The uri to open.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkUriLauncher`

The new `GtkUriLauncher`

The caller of the function takes ownership of the data, and is responsible for freeing it.